View Bug Details

IDProjectCategoryView StatusLast Update
0000491DCP-o-matic[All Projects] Bugspublic2016-05-31 22:56
Reportercarl 
Assigned Tocarl 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platform64 bitOSWindowsOS Version7
Product Version2.0.x 
Target Version2.2.0Fixed in Version 
Summary0000491: Cannot set fonts for subtitles in Windows
DescriptionWhen i try to open one, there is no Fonts Folder in the windows folder. I think this has to do because the font folder is something special in win7...
TagsNo tags attached.
Estimated work requiredAverage

Relationships

Activities

carl

2015-08-18 21:12

administrator   ~0000810

This is an acknowledged problem with wxFileDialog. Not sure what to do about it. It works OK with .ttf outside c:\Windows\Fonts but not inside that magic folder.

We could have a "use system font" which offered a manually-assembled list from c:\windows\fonts or /usr/share/fonts or whever, then a file dialog for fonts in other places. This might be the best we can do.

carl

2015-08-18 22:38

administrator   ~0000811

fe6921ea758a84d3982180cb2a8e6d95be9cf732

Bug History

Date Modified Username Field Change
2015-02-07 23:26 carl New Bug
2015-02-24 15:38 carl Status new => acknowledged
2015-07-08 13:16 carl Target Version => 1.x
2015-07-08 15:10 carl Estimated work required => Average
2015-07-08 15:10 carl Target Version 1.x => 2.x
2015-08-18 17:51 carl Target Version 2.x => 2.2.0
2015-08-18 21:12 carl Note Added: 0000810
2015-08-18 22:38 carl Note Added: 0000811
2015-08-18 22:38 carl Status acknowledged => resolved
2015-08-18 22:38 carl Resolution open => fixed
2015-08-18 22:38 carl Assigned To => carl
2016-05-31 22:56 carl Status resolved => closed